;*I**************************************************************************
; NAME:             api_def.inc
;----------------------------------------------------------------------------
; CREATED_BY:       F. FOSSE
; COMPANY:          ATMEL-WM
; CREATION_DATE:    28/04/2001
; $AUTHOR:          F. FOSSE $
; $REVISION:        1.0 $
; $DATE:            20/04/2001 $
;----------------------------------------------------------------------------
; PURPOSE:          This file contains the definition for API call
;
;----------------------------------------------------------------------------
; NOTES:            
;
;****************************************************************************
; CHANGES:          
;
;****************************************************************************

$SAVE
$NOLIST


;_____ I N C L U D E S ____________________________________________________


;_____ M A C R O S ________________________________________________________


; *** API DEFINITION ***

API_ID_READ_ID      EQU 00h
API_ID_ERASE_BLOCK  EQU 01h
API_ID_PROG_DATA    EQU 02h
API_ID_READ_DATA    EQU 03h
API_ID_ERASE_BYTES  EQU 04h
API_ID_PROG_SSB     EQU 05h
API_ID_PROG_SBV_BSB EQU 06h
API_ID_READ_BYTES   EQU 07h
;                   EQU 08h
API_ID_PROG_PAGE    EQU 09h
API_ID_PROG_FUSE    EQU 0Ah
API_ID_READ_FUSE    EQU 0Bh
;                   EQU 0Ch
;                   EQU 0Dh
API_ID_READ_BOOT_ID EQU 0Eh
API_ID_BOOT_VERSION EQU 0Fh

; API_READ_ID parameters
MANUF_ID            EQU 00h
DEVICE_ID1          EQU 01h
DEVICE_ID2          EQU 02h
DEVICE_ID3          EQU 03h

; API_ERASE_BLOCK parameters
BLOCK0_SELECT       EQU 000h
BLOCK1_SELECT       EQU 020h
BLOCK2_SELECT       EQU 040h
BLOCK3_SELECT       EQU 080h
BLOCK4_SELECT       EQU 0C0h


; API_ID_PROG_SBV_BSB parameters

BSB_SEL_PROG        EQU 00h
SBV_SEL_PROG        EQU 01h

; API_DISP_BLANK parameters

; API_READ_XROW parameters
SSB_SEL_RD          EQU 00h
BSB_SEL_RD          EQU 01h
SBV_SEL_RD          EQU 02h
EB_SEL_RD           EQU 06h

; API_PROG_FUSE parameters
FUSE0_ADDRESS       EQU 01h
FUSE1_ADDRESS       EQU 02h
FUSE2_ADDRESS       EQU 04h
FUSE3_ADDRESS       EQU 08h
BLJB_ADDRESS        EQU 04h
X2_ADDRESS          EQU 08h
FUSE_CLEAR          EQU 00h
FUSE_SET            EQU 01h

; API_READ_BOOT_ID parameters
BOOT_ID1_SELECT     EQU 00h
BOOT_ID2_SELECT     EQU 01h

; API_BOOT_VERSION parameters


;_____ D E F I N I T I O N ________________________________________________


;_____ D E C L A R A T I O N ______________________________________________


$RESTORE
