;*I**************************************************************************
; NAME:             config.inc
;----------------------------------------------------------------------------
; CREATED_BY:       F. FOSSE
; COMPANY:          ATMEL-WM
; CREATION_DATE:    28/04/2001
; AUTHOR:           $author: $
; REVISION:         $version: $
; DATE:             $date: $
;----------------------------------------------------------------------------
; PURPOSE:          This file contains the boot loader configuration
;
;----------------------------------------------------------------------------
; NOTES:
;
;****************************************************************************
; CHANGES:          
;
;****************************************************************************

$SAVE
$NOLIST


;_____ I N C L U D E S ____________________________________________________

;$SET (BRG_IBG)      ; enable to use internal Baudrate generator
$SET(BRG_T2)				;enable to use Timer2 as baudrate generator

$SET (EEPROM_ON_CHIP)   ; enable if eeprom data on chip to alloaw access

;_____ M A C R O S ________________________________________________________


; *** BOOT LOADER CONFIGURATION ***

BL_VERSION          EQU 20h
BOOT_ID1_VALUE      EQU 00h
BOOT_ID2_VALUE      EQU 00h


; *** BOOT MEMORY ADDRESSES ***

BOOT_ENTRY_ADDRESS  EQU 0FC00h
BOOT_BASE_ADDRESS   EQU HIGH(BOOT_ENTRY_ADDRESS)


; *** PRODUCT CONFIGURATION ***

IDATA_SIZE          EQU 256                 ; IRAM size
PAGE_SIZE           EQU 128                 ; FLASH page size
FLASH_SIZE					EQU	04000h
FLASH_NB_PAGE       EQU FLASH_SIZE/PAGE_SIZE   ; 16Kb = 128x128b
BLOCK_8K_NB_PAGE    EQU 8192/PAGE_SIZE
BLOCK_16K_NB_PAGE   EQU 16384/PAGE_SIZE
BLOCK0_BASE_ADDRESS EQU 00000h
BLOCK1_BASE_ADDRESS EQU 02000h
BLOCK2_BASE_ADDRESS EQU 04000h
BLOCK3_BASE_ADDRESS EQU 08000h
BLOCK4_BASE_ADDRESS EQU 0C000h



; *** XROW CONFIGURATION ***

BSB_ADDRESS         EQU 000h
SBV_ADDRESS         EQU 001h
P1_CF_ADDRESS				EQU	002h
P3_CF_ADDRESS				EQU 003h
P4_CF_ADDRESS       EQU 004h
SSB_ADDRESS         EQU 005h
EB_ADDRESS          EQU 006h
MANUF_ID_ADDRESS    EQU 030h
DEVICE_ID1_ADDRESS  EQU 031h
DEVICE_ID2_ADDRESS  EQU 060h
DEVICE_ID3_ADDRESS  EQU 061h

SEC_LEVEL_0         EQU 0FFh
SEC_LEVEL_1         EQU 0FEh
SEC_LEVEL_2         EQU 0FCh


;_____ D E F I N I T I O N ________________________________________________

 
;_____ D E C L A R A T I O N ______________________________________________


$RESTORE
