;*I**************************************************************************
; NAME:             register.inc
;----------------------------------------------------------------------------
; CREATED_BY:       F. FOSSE
; COMPANY:          ATMEL-WM
; CREATION_DATE:    28/04/2001
; AUTHOR:           $author: $
; REVISION:         $version: $
; DATE:             $date: $
;----------------------------------------------------------------------------
; PURPOSE:          This file contains the definition of the FLASH product
;
;----------------------------------------------------------------------------
; NOTES:
;
;****************************************************************************
; CHANGES:          
;
;****************************************************************************

$SAVE
$NOLIST


;_____ I N C L U D E S ____________________________________________________


;_____ M A C R O S ________________________________________________________

; *** EXTENDED REGISTERS ***
P4			DATA		0C0h

; SYSTEM MANAGEMENT
AUXR    DATA    08Eh
AUXR1   DATA    0A2h

; CLOCK
CKCON   DATA    08Fh

$if BRG_IBG
BDRCON  DATA    092h
BRL     DATA    091h
$endif  ; BRG_IBG

; FLASH MEMORY
FCON    DATA    0D1h

; EEPROM DATA
EECON    DATA    0D2h

; WATCHDOG
WDTRST   DATA    0A6h

T2CON   DATA    0C8h
RCAP2L  DATA    0CAh
RCAP2H  DATA    0CBh
TL2     DATA    0CCh
TH2     DATA    0CDh

TR2     BIT     0CAh


; *** FCON DEFINITION ***

HARD_BOOT_VALUE     EQU 000h
PROG_BOOT_VALUE     EQU 0F0h

FBUSY_MSK           EQU 001h
FMOD_MSK            EQU 006h
FPS_MSK             EQU 008h
FPL_MSK             EQU 0F0h

FMOD_USER_MSK       EQU 000h
FMOD_XROW_MSK       EQU 002h
FMOD_FUSE_MSK       EQU 004h

FPL_S0              EQU 050h
FPL_S1              EQU 0A0h

SEL_USER_CL         EQU 008h
SEL_XROW_CL         EQU 00Ah
SEL_FUSE_CL         EQU 00Ch
DESELECT_CL         EQU 000h
SEL_USER_MOVC       EQU 008h        ; set FPS for @ > BOOT_ENTRY
SEL_XROW_MOVC       EQU 002h
SEL_FUSE_MOVC       EQU 004h

; *** EECON DEFINITION ***

EEBUSY_MSK           EQU 001h
EEE_MSK              EQU 002h

EEPL_S0              EQU 050h
EEPL_S1              EQU 0A0h

SEL_EEPROM_CL        EQU 002h
DESE_EEPROM_CL       EQU 000h



;_____ D E F I N I T I O N ________________________________________________

 
;_____ D E C L A R A T I O N ______________________________________________


$RESTORE
